Get event attendance

Retrieve the attendance roster (guest list) for an event.

Required permission: Full Read Events

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
≥ 1

The id of the event to retrieve attendance for.

Query Params
string

Filter for the data returned. If not provided, everyone on the guest list is returned. Acceptable values are: present (only present), absent (only absent), groups (only group attendees), noguest (only not on guest list), entries (only form entries), profiles (only profiles added), external (only external added), checkin (has checked in), checkout (has checked out), nocheckin (did not check in).

string

Comma-delimited list of letters. Returns people whose last name begins with one of the given letters.

string

Comma-delimited list of source ids describing why someone is on the guest list. Accepted values are: 1 = Group, 2 = External (Added), 3 = Profile (Added), 4 = Form Entry, 5 = Not On Guest List, 6 = Check-in Session.

string

Comma-delimited list of record type ids. Use -1 to include people without a record type. Values come from /api/property_values/person_record_type/values.

string

Comma-delimited list of family position ids. Values come from /api/property_values/household_roles/values.

string

Comma-delimited list of campus ids. Use -1 to include people without a campus. Values come from /api/locations.

double

Include people of this age or older.

double

Include people of this age or younger.

boolean

Whether to return only first-time guests (true) or only returning guests (false).

string

If set, searches for people which match the given search term. Fields considered are the first name, last name, and nickname.

int32
≥ 0

The number of records to skip before returning results, used for paging.

int32
≥ 0

The maximum number of records to return per page. Defaults to 50.

string

The field to sort the results by. The default field depends on the endpoint.

string
enum

The sort direction: "asc" or "desc".

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Authentication is required, or the Ocs-Api-Key header is missing or invalid.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json